Version API du graphe

IGUser Tags

Lecture

Instagram businesses can use this edge to see media that they are tagged in

Exemple

Graph API Explorer
GET /v26.0/{ig-user-id}/tags HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{ig-user-id}/tags',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{ig-user-id}/tags",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{ig-user-id}/tags",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{ig-user-id}/tags"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Pour apprendre à utiliser l’API Graph, consultez notre guide Utiliser l’API Graph.

Paramètres

Ce point de terminaison n’a aucun paramètre.

Champs

La lecture à partir de cette arête renverra un résultat au format JSON :

{ "data": [], "paging": {} }

data

Une liste de nœuds ShadowIGMedia.

paging

Pour plus de détails à propos de la pagination, voir Guide de l’API Graph.

Error Codes

ErreurDescription
100Invalid parameter
200Permissions error
190Invalid OAuth 2.0 Access Token
80002There have been too many calls to this Instagram account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

Création

Vous ne pouvez pas effectuer cette opération sur ce point de terminaison.

Mise à jour

Vous ne pouvez pas effectuer cette opération sur ce point de terminaison.

Suppression

Vous ne pouvez pas effectuer cette opération sur ce point de terminaison.